View Issue Details

IDProjectCategoryView StatusLast Update
0000970bareos-core[All Projects] storage daemonpublic2018-06-28 14:36
ReportertuxmasterAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionsuspended 
PlatformX86_64OSFedoraOS Version28
Product Version17.2.6 
Fixed in Version 
Summary0000970: The S3 storage Plug-in (droplet) can't build under Fedora 28.
DescriptionBecause the libdroplet code from bareos cant' build against the openssl version of Fedora.
Steps To ReproduceTry to build rebuild libdroplet-3.0.git.1510141874.bc2a9a0-41.1.el7.src.rpm
It will fail because of the new openssl version.
Additional InformationFor RHEL(via EPEL) and Fedora 28 libs3 are available for S3 access.
Source code for libs3 https://github.com/bji/libs3
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

aron_s

aron_s

2018-06-28 14:33

reporter   ~0003054

Acknowledged, but since the droplet library, which is/was developed by Scality is not well-maintained anymore we have to implement usage of openssl ourself.
This will eventually happen in the near future.

Issue History

Date Modified Username Field Change
2018-06-22 17:58 tuxmaster New Issue
2018-06-28 14:33 aron_s Note Added: 0003054
2018-06-28 14:33 aron_s Resolution open => suspended
2018-06-28 14:36 aron_s Status new => acknowledged